import request from '@/utils/request'

// 查询饮食知识库列表
export function listBaseDiet(query) {
    return request({
        url: '/system/baseDiet/list',
        method: 'get',
        params: query
    })
}

// 查询饮食知识库详细
export function getBaseDiet(id) {
    return request({
        url: '/system/baseDiet/' + id,
        method: 'get'
    })
}

// 新增饮食知识库
export function addBaseDiet(data) {
    return request({
        url: '/system/baseDiet/add',
        method: 'post',
        data: data
    })
}

// 修改饮食知识库
export function updateBaseDiet(data) {
    return request({
        url: '/system/baseDiet/edit',
        method: 'put',
        data: data
    })
}

// 删除饮食知识库
export function delBaseDiet(id) {
    return request({
        url: '/system/baseDiet/' + id,
        method: 'delete'
    })
}
